package collections;

/**
 * <p>Title: Collections</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Suplec</p>
 * @author Claude Bocage
 * @version 1.0
 */

public class testFile {
  public testFile() {
  }

  public static void main(String[] args) throws java.lang.
      IllegalAccessException, java.lang.InstantiationException {
  }
//    enlever(ajouter(filevide,e)) = filevide
  static void testAxiome1(File<String> f, String message)
         throws java.lang.IllegalAccessException,
                java.lang.InstantiationException {
    String e = java.lang.Math.random() + "";

    vider(f);
    f.ajouter(e);
    f.enlever();
  }

  static void testAxiome2(ListeRec<String> l, String message)
         throws java.lang.IllegalAccessException,
                java.lang.InstantiationException {
    ListeRec<String> l1, l2;
    String e = java.lang.Math.random() + "";
    boolean ok = true;
    l1 = l.makeInstance();
    l2 = l1.dupliquer();
    l1.ajouterDebut(e);
    l1.enleverPremier();
    if (!l1.equals(l2)) {
      pmess(message, "erreur axiome 1 sur liste vide");
      ok = false;
    }
    l1 = l.dupliquer();
    l2 = l1.dupliquer();
    l1.ajouterDebut(e);
    l1.enleverPremier();
    if (!l1.equals(l2)) {
      pmess(message, "erreur axiome 1 sur liste non vide");
      ok = false;
   }
    if (ok) {
      pmess(message, "axiome 1 vrifi");
    }
  }
  public static void pmess(String m1, String m2) {
    System.out.println(m1 + " : " + m2);
  }
  static void fileAlatoire(File<String> f, int taille) {
    vider(f);
    for (int i = 0; i < taille; i++) {
      f.ajouter(java.lang.Math.random() + "");
    }
  }
  static void vider(File f) {
    while(!f.estvide()) f.enlever();
  }

}