package collections;

/**
 * <p>Title: Collections</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Suplec</p>
 * @author Claude Bocage
 * @version 1.0
 */

/*+Exemples/exemple2.java*/
public class Exemple2 {
  public Exemple2() {
  }
  public static <T> void afficher(Liste<T> l) {
    for(Curseur<T> c = l.debut(); c != null; c = l.suivant(c)) {
      System.out.print(l.element(c) + " ");
    }
    System.out.println("");
  }
  public static void main(String[] args) {
    Liste<Integer> l1 = new ListeIterTableau<Integer>();
    Liste<Integer> l2 = new ListeIterChainee<Integer>();
    Liste<Integer> l3 = new ListeRecTableau<Integer>();
    Liste<Integer> l4 = new ListeRecChainee<Integer>();

    for (int i = 0; i < 10; i++) {
      l1.insererApres(null, new Integer(i));
      l2.insererApres(null, new Integer(i));
      l3.insererApres(null, new Integer(i));
      l4.insererApres(null, new Integer(i));
    }
    afficher(l1);
    afficher(l2);
    afficher(l3);
    afficher(l4);
  }
}
/*-*/