/* -*-Java-*-
 * ###################################################################
 * 
 *  FILE: "ExampleIterateurListe.java"
 *                                    created: 2004-03-11 15:37:09 
 *                                last update: 2007-02-16 13:18:17 
 *  Author: Frdric Boulanger
 *  E-mail: Frederic.Boulanger@supelec.fr
 *    mail: Suplec - Service Informatique
 *          3 rue Joliot-Curie, 91192 Gif-sur-Yvette cedex, France
 *     www: http://wwwsi.supelec.fr/fb/
 *  
 *  Description: 
 *  Exemple d'utilisation d'un itrateur.
 *  
 *  History
 * 
 *  modified   by  rev reason
 *  ---------- --- --- -----------
 *  2004-03-11 FBO 1.0 original
 * ###################################################################
 */
package collections;

public class ExempleIterateurListe {
  public static void main(String[] args) {
    Liste<Integer> l = new ListeIterTableau<Integer>();
    l.insererApres(null, new Integer(5));
    l.insererApres(null, new Integer(4));
    l.insererApres(null, new Integer(3));
    l.insererApres(null, new Integer(2));
    l.insererApres(null, new Integer(1));
    
/*+Liste/exempleiterateur.java*/
    IterateurListe<Integer> iter = new IterateurListe<Integer>(l);
    while (iter.encore()) {
      System.out.println(iter.suivant());
    }
/*-*/
  }
}
