package collections;

/**
 * <p>Title: Collections</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Suplec</p>
 * @author Claude Bocage
 * @version 1.0
 */
import java.util.LinkedList;
/*+FileLinkedList/file.java*/
public class FileLinkedList<T> extends File<T> {
  private LinkedList<T> liste_;

  public FileLinkedList() {
    liste_ = new LinkedList<T>();
  }

  public void ajouter(T e) {
    liste_.addLast(e);
  }

  public void enlever() {
    prerequis(!estvide());
    liste_.removeFirst();
  }

  public T premier() {
    prerequis(!estvide());
    return liste_.getFirst();
  }

  public boolean estvide() {
    return liste_.isEmpty();
  }
}
/*-*/
