/* -*-Java-*-
 * ###################################################################
 * 
 *  FILE: "Traitement.java"
 *                                    created: 2008-02-22 09:11:03 
 *                                last update: 2008-02-22 09:13:17 
 *  Author: Frederic Boulanger
 *  E-mail: frederic.boulanger@supelec.fr
 *    mail: Supelec - Departement Informatique
 *          3 rue Joliot-Curie, 91192 Gif-sur-Yvette, France
 *     www: http://wwwdi.supelec.fr/fb/
 *  
 *  Description: 
 * 
 *  Traitement  effectuer sur un objet lors d'un parcours
 *  History
 * 
 *  modified   by  rev reason
 *  ---------- --- --- -----------
 *  2008-02-22 FBO 1.0 original
 * ###################################################################
 */
package collections;

/**
 * Represente un traitement  effectuer sur un objet.
 */
/*+ParcoursForet/traitement.java*/
interface Traitement<T> {
  /** Effectue le traitement dsir sur l'objet <code>o</code>. */
  public void traiter(T o);
}
/*-*/
