package collections;
import java.util.Vector;
/**
 * <p>Title: Collections</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Suplec</p>
 * @author Claude Bocage
 * @version 1.0
 */

public class testGraphe {
  public testGraphe() {
  }

  public static void afficherGraphe(GrapheOriente g) {
    Curseur<Sommet> cs = g.premierSommet();
    while ( cs != null) {
      Sommet s = g.sommet(cs);
      Curseur<Arc> c = g.premierArc(s);
      while (c != null) {
        Arc a = g.arc(c);
        System.out.print(a.depart().donneesUtilisateur + " ");
        System.out.println(a.arrivee().donneesUtilisateur);
        c = g.arcSuivant(c);
      }
      cs = g.sommetSuivant(cs);
    }
  }

  public static void main(String[] args) {
    int nbSommets = 20;
    Sommet[] sommets = new Sommet[nbSommets];
    Vector<Arc> arcs = new Vector<Arc>();
    GrapheOrienteMatrice g1 = new GrapheOrienteMatrice();

    for (int i = 0; i < nbSommets; i++) {
      sommets[i] = g1.ajouterSommet();
      sommets[i].donneesUtilisateur = new Integer(i);
    }
    arcs.add(g1.ajouterArc(sommets[0], sommets[1], new Integer(0)));
    arcs.add(g1.ajouterArc(sommets[0], sommets[2], new Integer(0)));
    arcs.add(g1.ajouterArc(sommets[1], sommets[4], new Integer(0)));
    afficherGraphe(g1);
    System.out.println("");
    g1.supprimerArc((Arc)arcs.get(2));
    afficherGraphe(g1);
    System.out.println("");
    g1.supprimerSommet(sommets[1]);
    afficherGraphe(g1);
 }

}